Page MenuHomePhabricator

Add discussion button appears in talk pages which does not have wikitext content model
Closed, ResolvedPublicBUG REPORT

Description

The giant Add discussion button and "There are no discussions on this page" message appears on pages in talk namespaces even when content model is not wikitext.

Steps to Reproduce:
  • Go to a page in one of the talk namespace.
  • Change it's content model from Wikitext to something else.
Actual Results:
  • The big Add discussion button is displayed even if the page content model is not wikitext. And a message stating "There are no discussions on this page" is displayed.
Expected Results:
  • The big Add discussion button is not shown if the page content model is not wikitext. No message appears.
Screenshot

Screenshot of https://commons.m.wikimedia.beta.wmflabs.org/wiki/Talk:Test when the content model of the page is json.

QA steps

Details

Related Gerrit Patches:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptNov 16 2019, 2:58 PM
Masumrezarock100 renamed this task from Add discussion button appears in talk page which content model is not wikitext to Add discussion button appears in talk pages which does not have wikitext content model.Nov 16 2019, 3:16 PM
Masumrezarock100 updated the task description. (Show Details)

Is this the same as T237589 ? I think they have the same underlying problem

Is this the same as T237589 ? I think they have the same underlying problem

That's only for flow talk pages. Isn't it?

Ammarpad updated the task description. (Show Details)Nov 16 2019, 5:34 PM
Masumrezarock100 updated the task description. (Show Details)

@Isarra In timeless skin, I am seeing a "New topic" hyperlink in talk pages which does not have wikitext content model.

Is this the same as T237589 ? I think they have the same underlying problem

That's only for flow talk pages. Isn't it?

No. The fix will handle anything that's not the wikitext content model.

Is this the same as T237589 ? I think they have the same underlying problem

That's only for flow talk pages. Isn't it?

No. The fix will handle anything that's not the wikitext content model.

Then it's the same.

Change 552908 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Make talk page explained message only appear on wikitext content model talk pages

https://gerrit.wikimedia.org/r/552908

Change 552908 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Make talk page explained message only appear on wikitext content model talk pages

https://gerrit.wikimedia.org/r/552908

nray assigned this task to Edtadros.Nov 25 2019, 11:32 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)Nov 26 2019, 10:48 PM

Not seeing blue button or message appear anymore

nray removed Edtadros as the assignee of this task.Nov 26 2019, 10:49 PM

Not seeing blue button or message appear anymore

Yeah, same here. Thanks for fixing this.

ovasileva closed this task as Resolved.Nov 27 2019, 5:05 PM
ovasileva claimed this task.

looks good, all done!